Preview
List API keys
Lists API keys for the current account. List responses include key metadata such as name, type, status, permissions, redacted secret value, last use time, and rotation state when available. Full secret values are not returned by list requests.
Access is not enabled by default. Customers must request API key management permissions from Paypercut before using this endpoint. The acting principal must have permission to list API keys for the account.
You can also create and manage API keys in the Merchant Dashboard.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v2/credentials/api-keys
curl https://api.paypercut.io/v2/credentials/api-keys \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"items": [
{
"id": "ak_123",
"created": "2026-07-08T08:02:27.751Z",
"name": "Production backend",
"type": "secret",
"status": "active",
"livemode": true,
"permissions": [
"checkout_sessions:*",
"payment_methods:*"
],
"role": null,
"secret": null,
"secret_redacted": "sk_live_...cdef",
"expires_at": null,
"parent_key": null,
"replaced_by_key": null,
"last_used_at": null,
"revealable": null,
"hide_on_next_view": null,
"use_count": null
}
],
"last_key": "eyJsYXN0SWQiOiIzMTIxMDI2MWJjYzMzMDExYzVkMTE0ZTIwMTMiLCJ0dGwiOiIxNzU0MjIwODczIn0="
}
